## org.eclipse.emf.transaction.ui.view
Class ExtendedPropertySheetPage

    java.lang.Object
      org.eclipse.ui.part.Page
          org.eclipse.ui.views.properties.PropertySheetPage
              org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage
                  org.eclipse.emf.transaction.ui.view.ExtendedPropertySheetPage

All Implemented Interfaces:
  EventListener, IAdaptable, ISelectionListener, IPage, IPageBookViewPage, IPropertySheetPage

    public class ExtendedPropertySheetPage

extends org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage

An extension of the extended property sheet page that performs refreshes in read transactions.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage
`org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage.LocateValueAction`

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage
`editingDomain, locateValueAction, objectsToSelect`

Fields inherited from class org.eclipse.ui.views.properties.PropertySheetPage
`HELP_CONTEXT_PROPERTY_SHEET_PAGE`

Constructor Summary
`ExtendedPropertySheetPage(org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain editingDomain)` Initializes me with the editing domain in which I create transactions.

Method Summary
`protected TransactionalEditingDomain` `getTransactionalEditingDomain()` Obtains my editing domain.
`void` `refresh()` Delegates to the superclass implementation within a read transaction, if an editing domain is available.
`void` `selectionChanged(IWorkbenchPart part, ISelection selection)` Delegates to the superclass implementation within a read transaction, if an editing domain is available.

Methods inherited from class org.eclipse.emf.edit.ui.view.ExtendedPropertySheetPage
`addObjectToSelect, handleEntrySelection, makeContributions, setSelectionToViewer`

Methods inherited from class org.eclipse.ui.views.properties.PropertySheetPage
`createControl, dispose, getAdapter, getControl, getSaveablePart, initDragAndDrop, setActionBars, setFocus, setPropertySourceProvider, setRootEntry, setSorter`

Methods inherited from class org.eclipse.ui.part.Page
`getSite, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedPropertySheetPage

    public ExtendedPropertySheetPage(org.eclipse.emf.edit.domain.AdapterFactoryEditingDomain editingDomain)

  Initializes me with the editing domain in which I create transactions.

  Parameters:
    `editingDomain` - my editing domain

Method Detail

### getTransactionalEditingDomain

    protected TransactionalEditingDomain getTransactionalEditingDomain()

  Obtains my editing domain.

  Returns:
    my editing domain

### refresh

    public void refresh()

  Delegates to the superclass implementation within a read transaction, if an editing domain is available.

  Overrides:
    `refresh` in class `PropertySheetPage`

### selectionChanged

    public void selectionChanged(IWorkbenchPart part,
                                 ISelection selection)

  Delegates to the superclass implementation within a read transaction, if an editing domain is available.

  Specified by:
    `selectionChanged` in interface `ISelectionListener`
  Overrides:
    `selectionChanged` in class `PropertySheetPage`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.